## deblur 1.1.1

=== debian/changelog ===
deblur (1.1.1-4) unstable; urgency=medium

  * Team upload.
  * d/control: limit sortmerna build-dep to amd64.
    The dependency is only needed for the test suite, and given the
    current state of the test suite, it is not strictly needed; the
    package is kept to preserve the relation between the two packages.
    (Closes: #1091151)
  * d/salsa-ci.yml: skip build on i386.
    The module is inoperative anywhere else than on 64-bit little-endian
    due to the dependency on python-skbio.  Since the package is otherwise
    arch-all, there is not much else that can be done on 32-bit other than
    ignoring tests.  This is not a regression, contrary to the problem of
    buildability on arm64.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Feb 2025 18:48:17 +0100

deblur (1.1.1-3) unstable; urgency=medium

  * Team upload.
  * Replace python3-nose usage with python3-pytest,
    enable half of the tests.
    (see "Tests are disable until the sortmerna situation is fixed")

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Sep 2024 01:16:42 +0200

deblur (1.1.1-2) unstable; urgency=medium

  * Team upload. Closes: #1081575
  * Set upstream metadata fields: Repository.
  * d/rules: simplified
  * Tests: copy the test files to the pybuild directory
  * Tests are disable until the sortmerna situation is fixed
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 20:22:23 +0200

deblur (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #962484)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 20:14:25 +0100
