=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=deblur
export PYBUILD_BEFORE_TEST=cp -Rv {dir}/deblur/test/data {build_dir}/deblur/test
export PYBUILD_TEST_ARGS=deblur/test/test_*.py -k ' \
                                                        not test_workflow \
                                                    and not test_parallel_deblur \
                                                    and not test_workflow \
                                                    and not test_build_index_sortmerna \
                                                    and not test_build_index_sortmerna_fail \
                                                    and not test_launch_workflow \
                                                    and not test_launch_workflow_incorrect_trim \
                                                    and not test_launch_workflow_skip_trim \
                                                    and not test_remove_artifacts_from_biom_table \
                                                    and not test_remove_artifacts_seqs \
                                                    and not test_remove_artifacts_seqs_index_prebuilt \
                                                    and not test_remove_artifacts_seqs_negate \
                                             '


%:
	dh $@ --buildsystem=pybuild
