=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deblur-$1.tar.gz%" \
   https://github.com/biocore/deblur/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
